KABCCLIENT(1)

NAME
kabcclient - Befehlszeilenprogramm für das KDE-Adressbuch

SYNOPSIS

kabcclient [[-A] | [-R] | [-M] | [-S] | [-L]] [--match-case] [--nosave] [-ic codec] [-if format] [-if-opts format-options] [-oc codec] [-of format] [-of-opts format-options] [input-data]

BESCHREIBUNG

Das Programm kabcclient erlaubt den Zugriff auf das KDE-Adressbuch auf der Befehlszeile, zum Beispiel in Shell-Skripten. Eingaben können über stdin (Standardeingabe) oder über zusätzliche Befehlszeilenargumente gelesen werden. Daten werden immer auf die Standardausgabe (stdout) ausgegeben.

OPTIONEN

Arbeitsmodi

    -A, --add
        Fügt einen Kontakt in das Adressbuch ein

    -R, --remove
        Entfernt einen vorhandenen Kontakt aus dem Adressbuch

    -M, --merge
        Eingabedaten mit Daten von vorhandenen Einträgen des Adressbuchs zusammenführen. Jede zusätzliche neue Information wird an die bereits vorhandenen Daten angefügt.

    -S, --search
        Sucht im Adressbuch nach passenden Kontakten

    -L, --list
        Zeigt alle Kontakte aus dem Adressbuch an

Optionen für die Eingabe

    -ic, --input-codec
        Filtert die Eingabedaten durch die vorgegebene Textkodierung. Weitere Informationen über Eingabekodierungen werden mit der Option -ic help angezeigt. Standard-Eingabekodierung ist local, damit wird die Kodierung der aktuellen Einstellung aus locale(5) verwendet

    -if, --input-format
        Filtert die Eingabedaten durch die vorgegebenen Formatierungsregeln. Weitere Informationen verfügbare Formate werden mit der Option -if help angezeigt. Die Standardeinstellung ist search

    Wählt Kontakte in einem Dialog aus anstelle des Einlesens von Textdaten
        dialog

    -if-opts, --input-format-options
        Zusätzliche Optionen für das gewählte Eingabeformat. Abhängig vom Format können diese Optionen optional, aber auch erforderlich sein. Weitere Informationen über verfügbare Formatoptionen werden mit -if-opts help angezeigt.

Optionen für die Ausgabe

    -oc, --output-codec
        Filtert die Ausgabedaten durch die vorgegebene Textkodierung. Weitere Informationen über Ausgabekodierungen werden mit der Option -oc help angezeigt. Standard-Ausgabekodierung ist local, damit wird die Kodierung der aktuellen Einstellung aus locale(5) verwendet.

    -of, --output-format
        Filtert die Ausgabedaten durch die vorgegebenen Formatierungsregeln. Weitere Informationen über verfügbare Formate werden mit der Option -if help angezeigt. Die Standardeinstellung ist vcard.

    -of-opts, --output-format-options
        Zusätzliche Optionen für das gewählte Ausgabeformat. Abhängig vom Format können diese Optionen optional, aber auch erforderlich sein. Weitere Informationen über verfügbare Formatoptionen werden mit -of-opts help angezeigt.

Weitere Optionen

    --match-case
        Verwendet Groß-/Kleinschreibung, wenn der Eingabetext mit den Kontakteinträgen verglichen wird

    --nosave
        Führt Operationen wie -A, -R oder -M, die Daten verändern, nur im Arbeitsspeicher aus, die Änderungen werden aber nicht im Adressbuch gespeichert.

DIAGNOSE

Wie in Unix üblich, wird bei erfolgreicher Ausführung einer Operation der Wert Null zurückgegeben. Abhängig von der Arbeitsweise zeigt ein Rückgabewert > 0 ein Problem an. das bei der Ausführung aufgetreten ist.

ADD

    1
        Das Lesen des Eingabetextes fehlgeschlagen

    2
        Die Erstellung eines passenden Kontakteintrags aus den Eingabedaten ist fehlgeschlagen, z. B. weil nicht genügend Daten eingeben wurden oder weil die Eingabe für das gewählte Format falsch formatiert ist

    3
        Die Speicherung des Adressbuchs ist fehlgeschlagen. Die Ursache für diesen Fehler kann zum Beispiel darin liegen, dass das Adressbuch aktuell durch andere Programme gesperrt ist.

REMOVE

    1
        Das Lesen des Eingabetextes fehlgeschlagen

    2
        Das Programm kann keinem Kontakteintrag aus dem Adressbuch entfernen. Die Ursache dafür kann bei einem Fehler beim Lesen der Eingabedaten liegen oder weil es keinen oder mehrere passende Kontakteinträge im Adressbuch gibt. Im letzten Fall wird eine Fehlermeldung auf der Standardausgabe angezeigt.

    3
        Die Speicherung des Adressbuchs ist fehlgeschlagen. Die Ursache für diesen Fehler kann zum Beispiel darin liegen, dass das Adressbuch aktuell durch andere Programme gesperrt ist.

MERGE

    1
        Das Lesen des Eingabetextes fehlgeschlagen

    2
        Das Programm kann die Eingabe nicht mit einem Kontakteintrag aus dem Adressbuch zusammenführen. Die Ursache dafür kann bei einem Fehler beim Lesen der Eingabedaten liegen oder weil es keinen oder mehrere passende Kontakteinträge im Adressbuch gibt. Im letzten Fall wird eine Fehlermeldung auf der Standardausgabe angezeigt.

    3
        Die Speicherung des Adressbuchs ist fehlgeschlagen. Die Ursache für diesen Fehler kann zum Beispiel darin liegen, dass das Adressbuch aktuell durch andere Programme gesperrt ist.

    SEARCH, 1
        Das Lesen des Eingabetextes fehlgeschlagen

    2
        Das Programm kann keinen passenden Kontakteintrag im Adressbuch finden. Die Ursache kann beim Einlesefehler des Eingabetextes oder bei einem Fehler bei der Suche nach einem passenden Kontakteintrag im Adressbuch liegen.

BEISPIELE

Suche nach Kontakten mit „Joe“ im Namen oder der E-Mail-Adresse

    kabcclient -S Joe

Die gleiche Suche mit Beachtung von Groß-/Kleinschreibung.

    kabcclient --match-case -S Joe

Die gleiche Suche mit Einlesen des Eingabetexts aus der Standardeingabe

    echo “Joe” | kabcclient --match-case -S

Hinzufügen eines neuen Kontakteintrags mit Daten aus einer formatierten E-Mail-Adresse

    kabcclient --nosave --add -if email “Marilyn Monroe <mmonroe@moviestars.com>”

Das Gleiche, aber mit Speicherung der geänderten Daten des Adressbuchs

    kabcclient --add -if email “Marilyn Monroe <mmonroe@moviestars.com>”

Anzeige aller verfügbaren Eingabeformate

    kabcclient -if help

Anzeige aller verfügbaren Ausgabeformate

    kabcclient -of help

Anzeige aller verfügbaren Optionen für das 'email'-Ausgabeformat

    kabcclient -of email -of-opts help

Ausgabe aller E-Mail-Adressen der Kontakte, die den Text 'Marilyn' enthalten

    kabcclient -of email -of-opts allemails -S Marilyn

Entfernen aller Kontakte, die im Dialog Kontaktauswahl markiert wurden.

    kabcclient --remove -if dialog

Exportieren der ausgewählten Kontakte in eine vCard-Datei, das Standardausgabeformat

    kabcclient -S -if dialog > contacts.vcf

AUTHOR

Diese Handbuchseite wurde von Kevin Krammer <kevin.krammer@gmx.at> geschrieben. Es ist erlaubt, dieses Dokument nach den Regeln der GNU General Public License, Version 2 oder einer späteren von der Free Software Foundation herausgegebenen Lizenz zu kopieren, zu verbreiten oder zu verändern.

Auf Debian-Systemen kann der gesamte Text der GNU General Public License im Ordner /usr/share/common-licenses/GPL gefunden werden.

AUTHOR

Kevin Krammer <kevin.krammer@gmx.at>
    Author